<?php

namespace Drupal\entity_update\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class CheckEntityUpdate.
 *
 * @package Drupal\entity_update\Form
 *
 * @ingroup entity_update
 */
class CheckEntityUpdate extends FormBase {

  /**
   * Returns a unique string identifying the form.
   *
   * @return string
   *   The unique string identifying the form.
   */
  public function getFormId() {
    return 'entity_update_check';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {

    $link_help = '/admin/help/entity_update';
    $form['messages']['about'] = [
      '#type' => 'markup',
      '#markup' => "This page allow to check the Entity update status but not to update. Please refer to the <a href='$link_help'>Help page</a>.",
      '#prefix' => '<div>',
      '#suffix' => '</div>',
    ];

    $form['actions']['submit'] = [
      '#type' => 'submit',
      '#value' => $this->t('Check'),
    ];
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {

    $list = entity_update_get_entity_changes();

    foreach ($list as $entity_type_id => $entity_change_summery) {
      drupal_set_message($entity_type_id . " : ");
      foreach ($entity_change_summery as $entity_change_summ) {
        drupal_set_message($entity_change_summ);
      }
    }
  }

}
